package com.muyu.aliyun.bailian.config;
import com.aliyun.auth.credentials.Credential;
import com.aliyun.auth.credentials.provider.StaticCredentialProvider;
import com.aliyun.sdk.service.bailian20231229.AsyncClient;
import com.aliyun.teaopenapi.models.Config;
import com.muyu.aliyun.bailian.properties.AliYunBaiLianProperties;
import com.muyu.aliyun.config.OssConfig;
import darabonba.core.client.ClientOverrideConfiguration;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


@Configuration
public class AlibabaCloudClientConfig {

    @Autowired
    private AliYunBaiLianProperties aliYunBaiLianProperties;

    /**
     * 创建 Client Bean
     * @return Client 对象
     * @throws Exception 创建过程中可能抛出的异常
     */
    @Bean
    public AsyncClient createClient() throws Exception {
        StaticCredentialProvider provider = StaticCredentialProvider.create(Credential.builder()
                .accessKeyId(aliYunBaiLianProperties.getAccessKeyId())
                .accessKeySecret(aliYunBaiLianProperties.getAccessKeySecret())
                .build());
        return AsyncClient.builder()
                .credentialsProvider(provider)
                .overrideConfiguration(
                        ClientOverrideConfiguration.create()
                                .setEndpointOverride(aliYunBaiLianProperties.getEndpoint())
                )
                .build();
    }
}
